import { toast, navigator, indicator, storage, modal } from '@/utils/uniApi'
import tenant from '../tenant/config'
import store from '../store'

/* 本地模拟数据，上线要注释 */
/* import mock from './mock'
const debug = false */
/* eslint-disable no-undef */
const baseUrl = tenant.host
const fetch = (url, data = {}, method = 'GET', type = 'form') => {
  /* if (debug) {
    let res = mock(url)
    return new Promise((resolve, reject) => {
      resolve(res)
    })
  } */
	let {common} = store.state
  method = method.toUpperCase()
  const headers = {
    Authorization: 'Basic c2FiZXI6c2FiZXJfc2VjcmV0',
    Platform: common.platform + '/mp',
    Device: common.device,
    tag: 'ent',
    tenantId: tenant.id,
		'Blade-Auth': 'bearer ' + storage.get('token') || '',
    'Content-Type': 'application/x-www-form-urlencoded'
  }
  if (type === 'json') {
    headers['Content-Type'] = 'application/json'
  }
  return new Promise((resolve, reject) => {
    uni.request({
      url: baseUrl + url,
      method,
      data,
      header: headers,
      success: async (response) => {
        if (response.statusCode >= 200 && response.statusCode < 400) {
          if (response.data.code === 401) { // 未授权
            // toast('请先登录')
            modal({
              content: '登录已过期，请重新登录',
              confirmText: '去登录',
              cancelText: '暂不登录',
              success: (res) => {
                if (res.confirm) {
                  navigator.push('/pages/login/index')
                }
              }
            })
            indicator.close()
            storage.clear()
          } else {
            resolve(response.data)
          }
          setTimeout(() => {
            indicator.close()
          }, 5000)
        } else if (response.statusCode === 503) {
          toast('操作太快，太频繁')
        } else {
          if (response.statusCode === 401) {
            navigator.push('/pages/login/index')
            storage.clear()
          }else {
            toast(response.data && response.data.msg ? response.data.msg : response.statusCode + '-' + '系统或网络错误')
          }
        }
      },
      fail: err => {
        if (err.errMsg.indexOf('timeout') !== -1) {
          toast('请求超时，请稍后重试')
          return
        }
        reject(err)
      }
    })
  })
}
export default fetch
