import fetch from './fetch'
import tenant from '../tenant/config.js'

export default {
	uploadPath: tenant.host + '/sys/attachment/upload', // 上传
	commonApi: {
		getBaseInfo() { // 获取用户基本信息
			return fetch('/blade-user/info')
		},
		getOpenId(code) { // code换openid
			return fetch('/api/blade-auth/oauth/info', {
				code
			})
		},
		wxLogin(params, grant_type = 'password') {
			let data = {
				scope: 'all',
				tenantId: '000000',
				grant_type: grant_type,
				type: 'account',
				...params
			}
			return fetch('/blade-auth/token', data, 'post', 'form')
		}
	},
	// 公共参数接口
	paramsApi: {
		//
		getServiceCentre (params) {
			return fetch('/demobilized/siteinfo/list',params)
		},
		getOfficeCentre (params) {
			return fetch('/demobilized/officeinfo/list',params)
		},
		//获取站点详细信息
		getDetail(id){
			return fetch('/demobilized/siteinfo/info/'+id)
		},
		//获取站点详细信息
		officeDetail(id){
			return fetch('/demobilized/officeinfo/info/'+id)
		},
		//获取地区列表
		getRegion(id){
			return fetch('/area/listbyPid/'+id)
		},
		posterDetail (id) {
			return fetch('/demobilized/poster/info/' + id)
		},

	}
}
