// 手机号
export const regExp_mobile = /^1(3|4|5|6|7|8|9)\d{9}$/

// 国内座机电话,如: 0341-86091234
export const regExp_phone = /\d{3}-\d{8}|\d{4}-\d{7}/

// 是否电话格式(手机和座机)
export const regExp_isPhoneNum = /^((0\d{2,3}-\d{7,8})|(1[3456789]\d{9}))$/

// 是否8位纯数字 /^[0-9]{8}$/
// 短信验证码
export const regExp_messageVftCode = /^[0-9]{4,6}$/

// email地址
export const regExp_email = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/

// 身份证号(15位、18位数字)，最后一位是校验位，可能为数字或字符X
export const regExp_IdCard = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/

// 车牌号
export const regExp_isCarNum = /^([京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}(([0-9]{5}[DF])|([DF]([A-HJ-NP-Z0-9])[0-9]{4})))|([京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-HJ-NP-Z0-9]{4}[A-HJ-NP-Z0-9挂学警港澳]{1})$/

// 只包含中文
export const regExp_onlyChinese = /^[\u4E00-\u9FA5]/

// 16进制颜色
export const regExp_isColor = /^#?([a-fA-F0-9]{6}|[a-fA-F0-9]{3})$/
